package com.xinelu.manage.domain.servicepackagecontent;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 服务包内容对象 service_package_content
 *
 * @author xinelu
 * @date 2024-03-04
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "服务包内容对象", description = "service_package_content")
public class ServicePackageContent extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 服务包表id
     */
    @ApiModelProperty(value = "服务包表id")
    @Excel(name = "服务包表id")
    private Long servicePackageId;

    /**
     * 服务方式名称
     */
    @ApiModelProperty(value = "服务方式名称")
    @Excel(name = "服务方式名称")
    private String serviceWayName;

    /**
     * 服务方式编码
     */
    @ApiModelProperty(value = "服务方式编码")
    @Excel(name = "服务方式编码")
    private String serviceWayCode;

    /**
     * 所属服务方式id
     */
    @ApiModelProperty(value = "所属服务方式id")
    @Excel(name = "所属服务方式id")
    private Long serviceWayId;

    /**
     * 服务内容
     */
    @ApiModelProperty(value = "服务内容")
    @Excel(name = "服务内容")
    private String serviceContent;

    /**
     * 所属服务内容id
     */
    @ApiModelProperty(value = "所属服务内容id")
    @Excel(name = "所属服务内容id")
    private Long serviceContentId;

    /**
     * 服务频次文本
     */
    @ApiModelProperty(value = "服务频次文本")
    @Excel(name = "服务频次文本")
    private String serviceFrequencyText;

    /**
     * 服务频次数字起始值
     */
    @ApiModelProperty(value = "服务频次数字起始值")
    @Excel(name = "服务频次数字起始值")
    private Integer serviceFrequencyStart;

    /**
     * 服务频次数字结束值
     */
    @ApiModelProperty(value = "服务频次数字结束值")
    @Excel(name = "服务频次数字结束值")
    private Integer serviceFrequencyEnd;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("servicePackageId", getServicePackageId())
                .append("serviceWayName", getServiceWayName())
                .append("serviceWayCode", getServiceWayCode())
                .append("serviceWayId", getServiceWayId())
                .append("serviceContent", getServiceContent())
                .append("serviceContentId", getServiceContentId())
                .append("serviceFrequencyText", getServiceFrequencyText())
                .append("serviceFrequencyStart", getServiceFrequencyStart())
                .append("serviceFrequencyEnd", getServiceFrequencyEnd())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
